For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Order
      • GETGet Orders
      • GETGet Order
      • GETGet Shipment
      • GETGet Shipment Timeline
      • POSTBatch Cancel Shipments
      • POSTMark Tracking Uploaded
        • PUTUpdate Shipment Address
        • GETGet Shipment Line Items
        • POSTUpdate Shipment Line Items
        • PUTBulk Update Shipping Service
        • POSTCancel Order
        • POSTCancel Shipment
        • GETGet Shipping Methods
        • GETGet Shipment Status Timeline by Order ID and Shipment ID
        • GETGet All Shipments for Order
        • GETGet Shipment Logs by Order ID and Shipment ID
        • POSTCancel Shipment by Order ID and Shipment ID
        • GETGet Shipment Logs
        • GETGet Shipment by Order ID and Shipment ID
        • POSTEstimate Fulfillment Cost For Order
        • GETGet Order Store Data
    • OpenAPI spec
LogoLogo
API ReferenceOrdersAdditional

Bulk Update Shipping Service

||View as Markdown|
PUT
/2026-01/shipment:bulkUpdateShippingService
PUT
/2026-01/shipment:bulkUpdateShippingService
$curl -X PUT https://api.shipbob.com/2026-01/shipment:bulkUpdateShippingService \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "reason": "Merchant request",
> "requested_shipping_service_id": 5,
> "shipment_ids": [
> 123456,
> 789012
> ]
>}'
1{
2 "summary": {
3 "failed": 0,
4 "successful": 2,
5 "total": 2
6 },
7 "results": [
8 {
9 "error": {
10 "code": "INVALID_PARAMETER",
11 "message": "string"
12 },
13 "id": 123456,
14 "is_success": true
15 }
16 ]
17}
Updates the shipping service for multiple shipments in a single request.
Was this page helpful?
Previous

Update Shipment Line Items

Next

Cancel Order

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token or OAuth2

Request

This endpoint expects an object.
reasonstringRequired
Reason for updating the shipping service
requested_shipping_service_idintegerRequired
ID of the shipping service to assign to the shipments
shipment_idslist of longsRequired
List of shipment IDs to update the shipping service for

Response

OK
summaryobject
Summary of the bulk operation results
resultslist of objects or null

Per-shipment results of the bulk operation

Errors

400
Bad Request Error